<?
/*
+--------------------------------------------------------------------------
|   IBITZY V 0.1 Beta
|   =============================================
|   Web: http://www.ipbtracker.eu/index.php?showforum=26
|	By: beeman
|	Created: 15/09/06
+---------------------------------------------------------------------------
| IBITZY configuration file, read on for configuration options. 
+--------------------------------------------------------------------------
*/

/**
* MYSQL DB CONNECTION
*
* SERVER = Hostname (DEFAULT = localhost)
* DB = Name of Database where IBITZY tables are
* USER = Username to login to
* PASS = Your mysql password
*/

$CONF['SERVER'] = 'localhost';
$CONF['DB'] = '';
$CONF['USER'] = '';
$CONF['PASS'] = '';

/**
* TORRENT DIRECTORY
*
* torrent_dir = Your torrent directory path in relation to your server root. 
*/

$CONF['torrent_dir'] = '';

/**
* DEBUG_MODE
*
* debug_mode = When set to 1 it will display debug messages to the browser so you can find any errors in the script, IT SHOULD BEE SET TO 0 WHEN RUNNING AS CRON! 
*/

$CONF['debug_mode'] = 1;

/**
* TRIES
*
* tries = Maximum amount of tries to access a site (DEFAULT = 3)
*/

$CONF['tries'] = 3;

/**
* PROCESSES
*
* processes = Amount of unprocessed rows to execute each time script is run (DEFAULT = 200)
*/

$CONF['processes'] = 200;

/**
* MAX_UNPROCESSED
*
* max_unprocessed = Maximum unprocessed rows to store before data is executed and torrents are retrieved (DEFAULT = 200)
*/

$CONF['max_unprocessed'] = 200;

/**
* INTVAL
*
* intval = How long to wait after last gathering of data from a site before new data can be gathered (DEFAULT = 3600 (1hr))
*/

$CONF['interval'] = 3600;

/**
* SUBMITTER
*
* submitter = the uid/username you would like the spider to upload its torrents under
*/

$CONF['submitter'] = 1;

/**
* SQL PREFIX's
*
* tbl_name = Name of table to store torrents in (DEFAULT = torrents)
* torrent_name = Name of field where torrent name is stored (DEFAULT = name)
* announce = Name of field where announce url of torrent is stored (DEFAULT = announce)
* cat = Name of field where category id's are stored of torrents (DEFAULT = cat)
* size = Name of field where size of torrent is store (DEFAULT = size)
* magnet = Name of field where magnet link is stored (DEFAULT = magnet)
* info_hash = Name of field where info hash of torrent is stored, these are stored in 40char sha1 format (DEFAULT = info_hash)
* site_tid = Name of field where site torrent id is stored, this can be used to track down the exact torrent on a site (DEFAULT = site_tid)
* site = Name of field where the site the torrent was taken from is stored (DEFAULT = site)
* data = Unixtimestamp of time the torrent was added to the database (DEFAULT = date)
* dl_name = Some site softwere require the name of the .torrent to bee stored seperatly, this variable is for that (DEFAULT = dl_name)
* submitter = uid/name of the user the spider will upload torrents under (DEFAULT = submitter)
*/

$CONF['sql']['tbl_name'] = 'torrents';
$CONF['sql']['torrent_name'] = 'name';
$CONF['sql']['announce'] = 'announce';
$CONF['sql']['cat'] = 'cat';
$CONF['sql']['size'] = 'size';
$CONF['sql']['magnet'] = 'magnet';
$CONF['sql']['info_hash'] = 'info_hash';
$CONF['sql']['site_tid'] = 'site_tid';
$CONF['sql']['site'] = 'site';
$CONF['sql']['date'] = 'date';
$CONF['sql']['dl_name'] = 'dl_name';
$CONF['sql']['submitter'] = 'submitter';

/**
* Categories Array
*
* cats = This is the categories array to match up id's of data gathered from sites, 
* theres a similar one in each plugin which completes the match up. 
* PLEASE BE WARNED THAT INCORRECT EDITING THIS CAN COUSE PLUGGINS TO STOP WORKING RIGHT. 
* you should change the CATEGORY ID to match the id's of the matching categorys on your site
* DO NOT EDIT THE "usage id" OR "category name" AS THIS WOULD BREAK COMPATABILITY WITH THE PLUGGINS. 
*/
//============================================================================================
//  Usage id => 'category id', 'category name(no functional use)' ), 
//============================================================================================

$CONF['cats'] = array(
				1 => array('1','Anime'),
				2 => array('2','Books'),
				3 => array('3','Games'),
				4 => array('4','Movies'),
				5 => array('5','Music'),
				6 => array('6','Softwere / Apps'),
				7 => array('7','TV'),
				8 => array('8','Other'),
				);
?>